dvdisaster Version 0.70 | To the Internet version

Contents

Overview
Examples and screen shots
· | Scanning media for errors
· | Creating error correction data
· | Reading defective media
· | Recovering media images
· | Getting information about images and error correction data
· | Configuration
· | Command syntax
Download
Questions and Answers
Background information

### Reading a defective medium

dvdisaster contains a reading strategy which is especially suited for reading damaged media:

1. | Insert the medium into the drive. |
2. | Select the drive. |
3. | Select the image file name. | The symbol opens the file chooser.
4a. | only when error correction files are used (RS01): Select the error correction file. The error correction file must be available at this stage so that dvdisaster can determine when enough data for reconstructing the image has been collected. | The symbol opens the file chooser.
4b. | only when augmented images are used (RS02): Choose "ECC/RS02" in the settings so that the correct image size is used for reading. |
5. | Select the adaptive reading strategy. |
6. | Start the reading process by clicking at the "Read" button. |
7. | Watch the reading progress. |

If the reading process states that enough data has been collected for a successful recovery, repair the missing sectors using the error correction data.

Otherwise, try reading the image again (some hints for re-reading). In that case dvdisaster will try to re-read only the missing sectors.

### Reading damaged media from the command line

This requires the following parameters (defaults are given in parenthesis):

-r/ --read | Read
--adaptive-read | Use reading strategy for damaged media
-d / --device | Drive selection (/dev/cdrom)
-i / --image | Image file (medium.iso)
-e / --ecc | only for RS01: Error correction file (medium.ecc)

Example for reading a defective medium using error correction files (RS01):

user@linux> dvdisaster -r --adaptive-read -i image.iso -e corrdata.ecc
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnoerlich.
[... remainder of the GPL announcement ...]

Device: /dev/cdrom, ATAPI DVD+RW 8X4X12 B2K7
Medium: DVD+R, 2224288 sectors, 1 layer(s)

Adaptive reading: Trying to collect enough data for error correction.
Creating new image.iso image.
Repairable: 2.6% (correctable: 0; now reading [0..2224288], size 2224288)
Sectors 57264-57279: Medium Error; Unrecovered read error.
Filling image area [57280..1083504]
[... more descriptions of reading process ...]
Repairable: 100.0% (correctable: 319200; now reading [320304..327065], size 6762)
Sufficient data for reconstructing the image is available.

Example for reading a defective medium containing an augmented image (RS02):

user@linux> dvdisaster -r --adaptive-read -i image.iso
dvdisaster-0.70 Copyright 2004-2007 Carsten Gnoerlich.
[... remainder of the GPL announcement ...]

Device: /dev/cdrom, ATAPI DVD+RW 8X4X12 B2K7
Medium: DVD+R, 2224288 sectors, Ecc, 1 layer(s)

Adaptive reading: Trying to collect enough data for error correction.
Creating new image.iso image.
Repairable: 2.6% (correctable: 0; now reading [0..2224288], size 2224288)
Sectors 57264-57279: Medium Error; Unrecovered read error.
Filling image area [57280..1083504]
[... more descriptions of reading process ...]
Repairable: 100.0% (correctable: 319200; now reading [320304..327065], size 6762)
Sufficient data for reconstructing the image is available.

Copyright 2004-2007 Carsten Gnörlich. Verbatim copying and distribution of this entire article is permitted in any medium, provided this notice is preserved.